<template>
  <transition name="sidebar">
    <div v-click-outside="close" class="modal" v-if="value">

      <template v-if="!succes">
      <!-- <div @click="close">close</div> -->
      <div class="add-store__top">
        <div
          class="modal-tabs"
          :class="{
            row: localCurrentTab != 'all',
            column: localCurrentTab == 'all'
          }"
        >
          <div
            class="modal-tabs__item"
            :class="{ 'is-active': localCurrentTab == 'event' }"
            @click="localCurrentTab = 'event'"
          >
            Event
          </div>
          <div
            class="modal-tabs__item"
            :class="{ 'is-active': localCurrentTab == 'wallpaper' }"
            @click="localCurrentTab = 'wallpaper'"
          >
            Wallpaper
          </div>
          <div
            class="modal-tabs__item"
            :class="{ 'is-active': localCurrentTab == 'product' }"
            @click="localCurrentTab = 'product'"
          >
            Product
          </div>
          <div
            class="modal-tabs__item"
            :class="{ 'is-active': localCurrentTab == 'nft' }"
            @click="localCurrentTab = 'nft'"
          >
            NFT
          </div>
        </div>
      </div>
      <template v-if="localCurrentTab != 'all'">
        <div class="add-store__form">
          <template v-if="localCurrentTab == 'event'">
            <AddStoreEvent @close="close" />
          </template>
          <template v-if="localCurrentTab == 'wallpaper'">
            <AddStoreWallpaper @close="close" />
          </template>
          <template v-if="localCurrentTab == 'product'">
            <AddStoreProduct @close="close" />
          </template>
          <template v-if="localCurrentTab == 'nft'">
            <AddStoreNTF @close="close" />
          </template>
        </div>
      </template>
      </template>

      <template v-else>
        <div class="add-event__top">
          <div>Well done 👌</div>
          <div>link item</div>
          <div><Button>Copy link</Button></div>
        </div>
        <div class="add-event__buttons">
          <div>
            <Button @click="$emit('close')" variant="grey">Close</Button>
          </div>
        </div>
      </template>
    </div>
  </transition>
</template>

<script lang="ts">
import Vue from 'vue'
import { defineComponent, ref } from '@nuxtjs/composition-api'

import AddStoreEvent from '@/components/modal/AddStoreEvent.vue'
import AddStoreWallpaper from '@/components/modal/AddStoreWallpaper.vue'
import AddStoreProduct from '@/components/modal/AddStoreProduct.vue'
import AddStoreNTF from '@/components/modal/AddStoreNTF.vue'
export default defineComponent<{
  value: boolean
  currentTab: string
}>({
  name: 'Modal',
  props: ['value', 'currentTab'],
  components: {
    AddStoreEvent,
    AddStoreWallpaper,
    AddStoreProduct,
    AddStoreNTF
  },
  setup(props, { emit }) {
    const succes = ref(false)
    const localValue = ref(props.value || false)
    const localCurrentTab = ref(props.currentTab)
    return {
      succes,
      localValue,
      localCurrentTab,
      close() {
        emit('input', localValue.value)
      }
    }
  }
})
</script>

<style lang="scss" scoped>
@import '~/assets/scss/variables';

.modal {
  width: 100%;
  position: fixed;
  right: 0px;
  top: 0px;
  bottom: 0;
  z-index: 999;
  background: #272c3b;
  padding: 25px;
  overflow-y: auto;
  overflow-x: hidden;
  display: flex;
  flex-direction: column;
  $self: &;

  @media (min-width: 1199.98px) {
    width: 530px;
    padding: 30px;
  }

  &::-webkit-scrollbar {
    width: 4px;
    height: 4px;
  }
  &::-webkit-scrollbar-track {
    background-color: transparent;
  }
  &::-webkit-scrollbar-thumb {
    background: #00ffb3;
    border-radius: 3px;
  }
}

.modal-tabs {
  user-select: none;
  transition: 250ms all;
  $self: &;
  &__item {
    transition: 250ms all;
  }
  &.row {
    display: flex;
    align-items: center;
    overflow-x: auto;
    overflow-y: hidden;
    margin-bottom: 30px;
    #{ $self }__item {
      letter-spacing: -0.6px;
      color: #8591ad;
      font-weight: bold;
      font-size: 24px;
      line-height: 33px;
      padding-right: 25px;
      cursor: pointer;
      &.is-active {
        color: #fff;
      }
    }
  }
  &.column {
    #{ $self }__item {
      background: #2e3343;
      border-radius: 10px;
      letter-spacing: -0.75px;
      color: #ffffff;
      text-align: center;
      font-size: 30px;
      line-height: 38px;
      font-weight: bold;
      padding: 28px 20px;
      margin-bottom: 15px;
      cursor: pointer;
      &:last-child {
        margin-bottom: 0px;
      }
    }
  }
}

.add-store {
  display: flex;
  flex-direction: column;
  min-height: 100%;
  &__top {
    flex: none;
  }
  &__form {
    flex: 1;
    &::v-deep {
      .select-soon {
        background: #272c3b;
        border-radius: 20px;
        letter-spacing: 0.7px;
        color: #8591ad;
        text-transform: uppercase;
        font-weight: bold;
        font-size: 12px;
        line-height: 16px;
        padding: 7px 12px;
      }
      .add-event {
        height: 100%;
        display: flex;
        flex-direction: column;
        &__top {
          flex: 1;
          padding-bottom: 20px;
        }
        &__buttons {
          flex: none;
          display: flex;
          flex-direction: column;
          > * {
            margin-bottom: 16px;
            &:last-child {
              margin-bottom: 0px;
            }
          }
        }
      }
      .form-block {
        background: #313748;
        border-radius: 10px;
        padding: 0;
        margin-bottom: 8px;
        padding: 12px 16px;
        &.flex {
          display: flex;
        }
        &:last-child {
          margin-bottom: 0px;
        }
        .el-select {
          margin: 0 -16px -12px -16px;
          .el-input__inner {
            padding-left: 16px !important;
            padding-right: 16px !important;
            padding-bottom: 12px !important;
          }
          .el-select__tags {
            padding-left: 10px;
            padding-bottom: 10px;
            margin-top: -2px;
          }
        }
        .el-select-dropdown__item {
          display: flex;
          align-items: center;
          justify-content: space-between;
          > div {
            padding-right: 15px;
          }
        }
        .el-input__inner {
          height: auto;
          margin: 0 !important;
          line-height: 1;
          padding: 0 !important;
          border: 0 !important;
          background: 0;
          border-radius: 0;
          color: #fff;
          font-size: 30px;
          line-height: 30px;
        }
        .el-textarea__inner {
          padding: 0 !important;
          border: 0 !important;
          background: 0;
          color: #fff;
          font-size: 24px;
          line-height: 30px;
        }
        &__title {
          color: #7683ad;
          font-weight: 500;
          font-size: 18px;
          line-height: 18px;
          margin-bottom: 10px;
        }
        &__content {
          &.flex {
            display: flex;
            align-items: center;
            justify-content: space-between;
            > * {
              flex: 0 0 auto;
            }
          }
          letter-spacing: 0px;
          color: #ffffff;
          font-size: 30px;
          line-height: 37px;
        }
        &__value {
          flex: 1;
        }
        &__price {
          border-left: 2px solid #272c3b;
          flex: none;
          width: 120px;
          .el-select {
            margin: 0px;
            height: 100%;
            display: flex;
            align-items: center;
            .el-input__inner {
              padding: 0 0 0 30px !important;
            }
          }
        }
        &__buttons {
          display: flex;
          align-items: center;
          > * {
            margin-left: 15px;
          }
        }
        &__btn {
          width: 48px;
          height: 48px;
          outline: none;
          background: #3b435a;
          border: 0;
          border-radius: 50%;
          padding-bottom: 5px;
          color: #fff;
          font-size: 30px;
          line-height: 1;
          font-weight: 500;
          display: flex;
          align-items: center;
          justify-content: center;
        }
      }
      .form-block-terms {
        &__row {
          margin-top: 25px;
        }
        &__item {
          margin-bottom: 25px;
          &:last-child {
            margin-bottom: 0px;
          }
          &.flex {
            display: flex;
            align-items: center;
            justify-content: space-between;
          }
        }
        &__title {
          letter-spacing: 0.8px;
          color: #ffffff;
          text-transform: uppercase;
          font-weight: bold;
          font-size: 16px;
          line-height: 20px;
          margin-bottom: 8px;
        }
        &__content {
          letter-spacing: 0px;
          color: #8591ad;
          font-size: 20px;
          line-height: 25px;
          font-weight: 500;
        }
        &__value {
          letter-spacing: 0px;
          color: #ffffff;
          font-size: 18px;
          line-height: 23px;
          font-weight: 500;
        }
      }
    }
  }
}
</style>
